Categories
Core

WooCommerce 4.7.1 fix release

This release introduces several small compatibility improvements and fixes for taxonomy templates changed in WooCommerce 4.7. Also, based on user feedback, we decided to introduce a fix to prevent variations without attributes from being added to the cart that was originally planned for 4.8.0.

Here is the WooCommerce 4.7.1 changelog:

  • Prevent variable product to be added to cart until a valid variation is selected first. #28103
  • Restored support for custom taxonomy-product_cat-<SLUG>.php and taxonomy-product_tag-<SLUG>.php templates. #28377
  • Display overrides of taxonomy-product_<cat|tag>.php and content-product_cat.php templates in Status page. #28378
  • Apply woocommerce_cart_needs_payment filter in WC_Checkout::process_checkout() to make backwards compatible. #28281

Thanks to everyone for reporting these issues promptly and helping out with the fix release.

You can download the latest release of WooCommerce here or visit Dashboard → Updates to update the plugin from your WordPress admin screen.

As usual, if you spot issues in WooCommerce core, please log them in detail on GitHub. Found a security issue? Please submit a report via HackerOne.

By Claudio Sanches

Developer on the WooCommerce team and member of the WordPress Brazilian community.

3 replies on “WooCommerce 4.7.1 fix release”

We are using SiSow as payment provider. After installing 4.7.1., redirection to this service provider doesn’t work anymore. Is this a known issue?

Like

The plugin works fine with Woocommerce 4.6.2. but it doesn’t wotk after the upgrade to 4.7.1. For me it seems a Woocommerce problem and not a SiSow problem

Like

Comments are closed.